{
	"format_version": "1.8.0",
	"minecraft:entity": {
		"description": {
			"identifier": "zedafox:number",
			"is_spawnable": true,
			"is_experimental": false,
			"is_summonable": true
			},
		"components": {
			"minecraft:collision_box": {
				"width": 0.0,
				"height": 0.0
			},
			"minecraft:pushable": {
				"is_pushable": false,
				"is_pushable_by_piston": true
			},
			"minecraft:damage_sensor": [
				{
					"cause": "all",
					"deals_damage": false
				}
			],
			"minecraft:push_through": {
				"value": 1
			},
			"minecraft:knockback_resistance": {
				"value": 1
			}
		},
		"component_groups": {
			"pass0":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n0"}}},
			"pass1":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n1"}}},
			"pass2":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n2"}}},
			"pass3":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n3"}}},
			"pass4":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n4"}}},
			"pass5":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n5"}}},
			"pass6":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n6"}}},
			"pass7":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n7"}}},
			"pass8":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n8"}}},
			"pass9":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n9"}}},
			
			"pass0_2":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n0_2"}}},
			"pass1_2":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n1_2"}}},
			"pass2_2":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n2_2"}}},
			"pass3_2":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n3_2"}}},
			"pass4_2":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n4_2"}}},
			"pass5_2":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n5_2"}}},
			"pass6_2":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n6_2"}}},
			"pass7_2":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n7_2"}}},
			"pass8_2":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n8_2"}}},
			"pass9_2":{"minecraft:timer": {"time": 2.90,"time_down_event": {"event": "n9_2"}}},
			
			"default": {"minecraft:variant": {"value": 0}},
			"0_1": {"minecraft:variant": {"value": 1}},
			"1_2": {"minecraft:variant": {"value": 2}},
			"2_3": {"minecraft:variant": {"value": 3}},
			"3_4": {"minecraft:variant": {"value": 4}},
			"4_5": {"minecraft:variant": {"value": 5}},
			"5_6": {"minecraft:variant": {"value": 6}},
			"6_7": {"minecraft:variant": {"value": 7}},
			"7_8": {"minecraft:variant": {"value": 8}},
			"8_9": {"minecraft:variant": {"value": 9}},
			"9_0": {"minecraft:variant": {"value": 10}},
			
			"default2": {"minecraft:variant": {"value": 11}},
			"d0_1": {"minecraft:variant": {"value": 12}},
			"d1_2": {"minecraft:variant": {"value": 13}},
			"d2_3": {"minecraft:variant": {"value": 14}},
			"d3_4": {"minecraft:variant": {"value": 15}},
			"d4_5": {"minecraft:variant": {"value": 16}},
			"d5_6": {"minecraft:variant": {"value": 17}},
			"d6_7": {"minecraft:variant": {"value": 18}},
			"d7_8": {"minecraft:variant": {"value": 19}},
			"d8_9": {"minecraft:variant": {"value": 20}},
			"d9_0": {"minecraft:variant": {"value": 21}},
			
			"death": {
				"minecraft:despawn": {
				}
			}
		},
		"events": {
			
			"pass0": {"add": {"component_groups": ["pass0"]}},
			"pass1": {"add": {"component_groups": ["pass1"]}},
			"pass2": {"add": {"component_groups": ["pass2"]}},
			"pass3": {"add": {"component_groups": ["pass3"]}},
			"pass4": {"add": {"component_groups": ["pass4"]}},
			"pass5": {"add": {"component_groups": ["pass5"]}},
			"pass6": {"add": {"component_groups": ["pass6"]}},
			"pass7": {"add": {"component_groups": ["pass7"]}},
			"pass8": {"add": {"component_groups": ["pass8"]}},
			"pass9": {"add": {"component_groups": ["pass9"]}},
			
			"pass0_2": {"add": {"component_groups": ["pass0_2"]}},
			"pass1_2": {"add": {"component_groups": ["pass1_2"]}},
			"pass2_2": {"add": {"component_groups": ["pass2_2"]}},
			"pass3_2": {"add": {"component_groups": ["pass3_2"]}},
			"pass4_2": {"add": {"component_groups": ["pass4_2"]}},
			"pass5_2": {"add": {"component_groups": ["pass5_2"]}},
			"pass6_2": {"add": {"component_groups": ["pass6_2"]}},
			"pass7_2": {"add": {"component_groups": ["pass7_2"]}},
			"pass8_2": {"add": {"component_groups": ["pass8_2"]}},
			"pass9_2": {"add": {"component_groups": ["pass9_2"]}},
			
			"default": {"add": {"component_groups": ["default"]}},
			"n0": {"add": {"component_groups": ["0_1"]}},
			"n1": {"add": {"component_groups": ["1_2"]}},
			"n2": {"add": {"component_groups": ["2_3"]}},
			"n3": {"add": {"component_groups": ["3_4"]}},
			"n4": {"add": {"component_groups": ["4_5"]}},
			"n5": {"add": {"component_groups": ["5_6"]}},
			"n6": {"add": {"component_groups": ["6_7"]}},
			"n7": {"add": {"component_groups": ["7_8"]}},
			"n8": {"add": {"component_groups": ["8_9"]}},
			"n9": {"add": {"component_groups": ["9_0"]}},
			
			"default2": {"add": {"component_groups": ["default2"]}},
			"n0_2": {"add": {"component_groups": ["d0_1"]}},
			"n1_2": {"add": {"component_groups": ["d1_2"]}},
			"n2_2": {"add": {"component_groups": ["d2_3"]}},
			"n3_2": {"add": {"component_groups": ["d3_4"]}},
			"n4_2": {"add": {"component_groups": ["d4_5"]}},
			"n5_2": {"add": {"component_groups": ["d5_6"]}},
			"n6_2": {"add": {"component_groups": ["d6_7"]}},
			"n7_2": {"add": {"component_groups": ["d7_8"]}},
			"n8_2": {"add": {"component_groups": ["d8_9"]}},
			"n9_2": {"add": {"component_groups": ["d9_0"]}},
			
			"despawn": {
				"add": {
					"component_groups": [
						"death"
					]
				}
			}
		}
	}
}